import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { DomSanitizer } from '@angular/platform-browser';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-exam-param-detail',
  templateUrl: './exam-param-detail.component.html',
  styleUrls: ['./exam-param-detail.component.scss']
})
export class ExamParamDetailComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef,fb: FormBuilder, sanitizer: DomSanitizer) {
    super(bsModalRef, sanitizer);
    this.detailForm = fb.group({
      'param_name': [null, Validators.compose([Validators.required, Validators.minLength(2), Validators.maxLength(32)])],
      'param_value': [null, Validators.required],
      'default_value': [null],
      'param_desc': [null]
    });
   }

  ngOnInit() {
  }

  initDefautEntity() {
    
  }

}
